### Function

# Atk Range new

since: 2.12

#### Declaration [src]

    AtkRange*
    atk_range_new (
      gdouble lower_limit,
      gdouble upper_limit,
      const gchar* description
    )

#### Description [src]

Creates a new `AtkRange`.

Available since: 2.12

#### Parameters

`lower_limit`

  Type: `gdouble`

  Inferior limit for this range.

`upper_limit`

  Type: `gdouble`

  Superior limit for this range.

`description`

  Type: `const gchar*`

  Human readable description of this range.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AtkRange`

A new `AtkRange`.

The caller of the function takes ownership of the data, and is responsible for freeing it.